Blue Guardrails

Run Agent Stream

Run the claim verification agent with a streaming response.

Returns a Server-Sent Events stream with the following event types:

  • text_delta: incremental text content {"content": "..."}
  • thinking_delta: incremental thinking content {"content": "..."}
  • tool_request: deferred tool call {"tool_call_id": "...", ...}
  • done: stream complete {"message_history": [...]}
POST
/v1/agent/run/stream

Header Parameters

x-workspace-id?|

Workspace UUID to operate within. Required for session auth and user-scoped API keys. Optional for workspace-scoped API keys (uses key's workspace if omitted).

Request Body

application/json

model*string
prompt?|
message_history?array<>|
deferred_tool_results?|
claim_text?|
assistant_message_content?|
hallucination_labels?array<>|
domain_context?|
annotation_label?|
annotation_explanation?|
annotation_id?|
annotation_status?|

Response Body

application/json

application/json

curl -X POST "https://loading/v1/agent/run/stream" \  -H "Content-Type: application/json" \  -d '{    "model": "string"  }'
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}